org.apache.poi.ss.formula.functions

## Class Trend

- java.lang.Object
- - org.apache.poi.ss.formula.functions.Trend

- All Implemented Interfaces:
    Function

      public final class Trend
      extends java.lang.Object
      implements Function

  Implementation for the Excel function TREND

  Syntax:
  TREND(known_y's, known_x's, new_x's, constant)

  known_y's, known_x's, new_x's | typically area references, possibly cell references or scalar values
  constant | TRUE or FALSE: determines whether the regression line should include an intercept term

  If known_x's is not given, it is assumed to be the default array {1, 2, 3, ...} of the same size as known_y's.
  If new_x's is not given, it is assumed to be the same as known_x's
  If constant is omitted, it is assumed to be TRUE

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Trend()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueEval` | `evaluate(ValueEval[] args, int srcRowIndex, int srcColumnIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Trend

          public Trend()

  - ### Method Detail

    - #### evaluate

          public ValueEval evaluate(ValueEval[] args,
                                    int srcRowIndex,
                                    int srcColumnIndex)

      Specified by:
        `evaluate` in interface `Function`
      Parameters:
        `args` - the evaluated function arguments. Empty values are represented with `BlankEval` or `MissingArgEval`, never `null`.
        `srcRowIndex` - row index of the cell containing the formula under evaluation
        `srcColumnIndex` - column index of the cell containing the formula under evaluation
      Returns:
        The evaluated result, possibly an `ErrorEval`, never `null`. Note - Excel uses the error code #NUM! instead of IEEE NaN, so when numeric functions evaluate to `Double.NaN` be sure to translate the result to `ErrorEval.NUM_ERROR`.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.